[package]
name = "melib"
version = "0.5.0"
authors = ["Manos Pitsidianakis <epilys@nessuent.xyz>"]
workspace = ".."
edition = "2018"
build = "build.rs"

homepage = "https://meli.delivery"
repository = "https://git.meli.delivery/meli/meli.git"
description = "backend mail client library"
keywords = ["mail", "mua", "maildir", "imap"]
categories = [ "email"]
license = "GPL-3.0-or-later"

[lib]
name = "melib"
path = "src/lib.rs"

[dependencies]
bitflags = "1.0"
crossbeam = "0.7.2"
data-encoding = "2.1.1"
encoding = "0.2.33"
nom = { version = "5.1.1" }

notify = { version = "4.0.1", optional = true }
xdg = "2.1.0"
native-tls = { version ="0.2.3", optional=true }
serde = { version = "1.0.71", features = ["rc", ] }
serde_derive = "1.0.71"
bincode = "1.2.0"
uuid = { version = "0.8.1", features = ["serde", "v4", "stdweb", "wasm-bindgen"] }

unicode-segmentation = { version = "1.2.1", optional = true }
libc = {version = "0.2.59", features = ["extra_traits",]}
reqwest = { version ="0.10.0-alpha.2", optional=true, features = ["json", "blocking" ]}
serde_json = { version = "1.0", optional = true, features = ["raw_value",] }
smallvec = { version = "1.1.0", features = ["serde", ] }
nix = "0.17.0"
rusqlite = {version = "0.20.0", optional = true }

libloading = { version = "0.6.2", optional = true }
futures = "0.3.5"
async-stream = "0.2.1"
base64 = { version = "0.12.3", optional = true }
wasm-bindgen = { version = "0.2.63", optional = true }

[dependencies.js-sys]
version = "0.3.4"
optional = true

[features]
default = ["unicode_algorithms","vcard", "wasm"]

debug-tracing = []
unicode_algorithms = ["unicode-segmentation"]
imap_backend = ["native-tls"]
maildir_backend = ["notify"]
mbox_backend = ["notify"]
notmuch_backend = []
jmap_backend = ["reqwest", "serde_json" ]
vcard = []
sqlite3 = ["rusqlite", ]
smtp = ["native-tls", "base64"]
wasm = ["js-sys", "wasm-bindgen"]
